#include "S42P01.h"
#include "Net/UnrealNetwork.h"

class AActor;

void US42P01::OnRep_Husk()
{

}

float US42P01::GetHuskDurationAtLevel() const
{
	return 0.0f;
}

void US42P01::Authority_OnRepairProgressApplied(float individualChargeAmount, float totalChargeAmount, AActor* chargeInstigator, bool wasCoop, float deltaTime)
{

}

void US42P01::Authority_OnLevelReadyToPlay()
{

}

void US42P01::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(US42P01, _husk);
	DOREPLIFETIME(US42P01, _generatorsRepairProgression);
}

US42P01::US42P01()
{
	this->_generatorHuskInteraction = NULL;
	this->_totemHuskInteraction = NULL;
	this->_chestHuskInteraction = NULL;
	this->_escapeDoorHuskInteraction = NULL;
	this->_survivorHuskClass = NULL;
	this->_huskDuration = 0.000000;
	this->_generatorRepairPercentCondition = 0.300000;
	this->_generatorsRepairProgression = 0.000000;
}
